// ------------------------------------------------------------
// Header base file.
// ------------------------------------------------------------
.header {
	@include fixed(top 0 left 0 right 0);
	background-color: $color-dark;
	border-bottom: 1px solid darken($color-dark, 5%);
	height: $header-height;
	z-index: $header-zindex;

	// Header logo.
	.logo {
		@include font-size(18);
		display: inline-block;
		margin-right: 25px;
		padding: 0;
		line-height: $header-height;
		color: #fff;
		text-decoration: none;

		@include hover-focus-active { color: $color-red; }
	}

	// Mobile menu toggle.
	.menu-toggle {
		@include absolute(top 0 right $gutters);
		display: inline-block;
		padding: 0 15px;
		line-height: $header-height;
		background-color: $color-red;
		color: #fff;
		z-index: $header-zindex + 1;

		// We don't need it on larger screens.
		@include screen-md { display: none; visibility: hidden; }
	}

	// Header main menu.
	.main-menu {
		@include absolute(top 100% right 0);
		list-style: none;
		padding: 0;
		margin: 0;
		background-color: $color-dark;
		display: none;
		max-height: 65vh;
		overflow-y: auto;
		min-width: 33.3334%;

		// List elements.
		li {
			display: block;

			// Links.
			a {
				@include font-size(12);
				@include transition(all 0.1s ease-in-out);
				color: $color-light;
				display: block;
				line-height: $header-height / 1.2;
				padding: 0 15px;
			}

			&:hover > a,
			& > a:hover,
			& > a:active,
			& > a:focus {
				background-color: $color-red;
				color: #fff;
				text-decoration: none;
			}

			&.current-menu-item > a { background-color: $color-red; color: #fff; }
		}

		// Remove any styling from child lists.
		ul {
			list-style: none;
			margin: 0;
			padding: 0;

			a { padding: 0 25px; }
		}

		// On larger screens.
		@include screen-md {
			position: relative;
			display: inline-block;
			vertical-align: top;
			background-color: transparent;
			overflow: initial;

			li {
				display: block;
				position: relative;

				> a { padding: 6px 12px; white-space: nowrap; }

				&.menu-item-has-children > a::after {
					font-family: FontAwesome;
					content: "\f0da";
					display: inline-block;
					margin-left: 5px;
				}

				> ul {
					@include absolute(top 0 left 100%);
					display: none;
					background-color: $color-dark;
					min-width: 100%;

					> li {
						display: block;
						position: relative;

						> a { padding: 0 15px; }
					}
				}

				&:hover > ul { display: block; }
			}

			// Direct elements.
			> li {
				display: inline-block;

				&.menu-item-has-children > a::after { content: "\f0d7"; }

				> a { padding: 0 15px; line-height: $header-height; }

				> ul { top: 100%; left: 0; }
			}
		}
	}

	// Social menu.
	.social-menu {
		list-style: none;
		padding: 0;
		margin: 0;
		display: none;

		li { display: inline-block; }

		a {
			@include transition(all 0.1s ease-in-out);
			color: $color-light;
			padding: 0 10px;
			line-height: $header-height;
			display: block;

			@include hover-focus-active {
				color: #fff;
				background-color: $color-red;
				text-decoration: none;
			}
		}

		// Display it on larger screens.
		@include screen-sm { display: inline-block; }
	}

	// Search form.
	.search-form {
		display: inline-block;
		margin: 0;
		padding: 0;
		position: relative;
		vertical-align: top;

		@include screen-sm { margin-left: $gutters; }

		// Search input.
		.search-input {
			@include font-size(13);
			@include box-sizing(border-box);
			background-color: darken($color-dark, 5%);
			border: none;
			color: #fff;
			font-family: $font-ruda;
			line-height: $header-height;
			outline: 0;
			padding: 0 45px 0 15px;
			width: $header-height * 4;

			// Or larger screens.
			@include screen-md {
				@include transition(all 0.1s ease-in-out);
				width: 180px;

				&:focus { width: 230px; }
			}
		}

		// Search button.
		.search-btn {
			@include absolute(top 0 right 0);
			padding: 0 15px;
			line-height: $header-height;
			color: $color-light;
			border: none;
			background-color: transparent;

			// On larger screens.
			@include screen-md {
				background-color: $color-red;
				color: #fff;
			}
		}

	}
	.header-right { display: inline-block; vertical-align: top; }
	// Move it or large screens to the right.
	@include screen-md {
		.header-right {
			display: inline-block;
			float: right;
		}
	}
}
